Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.ref
Class DefaultDocumentMetadata

    java.lang.Object
      |
      +--com.bea.p13n.content.document.ref.DefaultDocumentMetadata

All Implemented Interfaces:
  DocumentMetadataDef

Direct Known Subclasses:
  RefDocumentMetadata

public class DefaultDocumentMetadata
extends Object
implements DocumentMetadataDef

A concreate implementation of DocumentMetadata.

Field Summary
`protected Map` | `attributes` Deprecated. The map of attribute name to attribute value.
`protected String` | `author` Deprecated. The document author.
`protected String` | `comments` Deprecated. The document comments.
`protected Timestamp` | `creationDate` Deprecated. The document creation date.
`protected String` | `description` Deprecated. The document description.
`protected String` | `id` Deprecated. The document id.
`protected String` | `lastModifiedBy` Deprecated. The document last modified by.
`protected Timestamp` | `lastModifiedDate` Deprecated. The document last modified date.
`protected String` | `lockedBy` Deprecated. The document locked by.
`protected String` | `mimeType` Deprecated. The document mime type.
`protected String` | `name` Deprecated. The document name.
`protected long` | `size` Deprecated. The document size.
`protected int` | `version` Deprecated. The document version.

Constructor Summary
`DefaultDocumentMetadata()` Deprecated. Constructor.
`DefaultDocumentMetadata(String id)` Deprecated. Constructor.
`DefaultDocumentMetadata(String id, String name)` Deprecated. Constructor.
`DefaultDocumentMetadata(String id, String name, String mimeType)` Deprecated. Constructor.

Method Summary
`Object` | `getAttribute(String name)` Deprecated. Get the named attribute.
`Collection` | `getAttributeNames()` Deprecated. Return the collection of the attribute names.
`Map` | `getAttributes()` Deprecated. Get the map of attribute names to attribute values.
`String` | `getAuthor()` Deprecated. Get the document author.
`String` | `getComments()` Deprecated. Get the document comments.
`Timestamp` | `getCreationDate()` Deprecated. Get the document creation date.
`String` | `getDescription()` Deprecated. Get the document description.
`String` | `getID()` Deprecated. Get the document id.
`String` | `getLastModifiedBy()` Deprecated. Get the document last modified by.
`Timestamp` | `getLastModifiedDate()` Deprecated. Get the last modified date.
`String` | `getLockedBy()` Deprecated. Get the document locked by.
`String` | `getMimeType()` Deprecated. Get the mime type.
`String` | `getName()` Deprecated. Get the document name.
`long` | `getSize()` Deprecated. Get the document size.
`int` | `getVersion()` Deprecated. Get the document version.
`void` | `setAuthor(String author)` Deprecated. Set the document author.
`void` | `setComments(String comments)` Deprecated. Set the document comments.
`void` | `setCreationDate(Timestamp date)` Deprecated. Set the document creation date.
`void` | `setDescription(String description)` Deprecated. Set the document description.
`void` | `setID(String id)` Deprecated. Set the document id.
`void` | `setLastModifiedBy(String lastModifiedBy)` Deprecated. Set the document last modified by.
`void` | `setLastModifiedDate(Timestamp date)` Deprecated. Set the last modified date.
`void` | `setLockedBy(String lockedBy)` Deprecated. Set the document locked by.
`void` | `setMimeType(String mimeType)` Deprecated. Set the mime type.
`void` | `setName(String name)` Deprecated. Set the document name.
`void` | `setSize(long size)` Deprecated. Set the document size.
`void` | `setVersion(int version)` Deprecated. Set the document version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected String id

  Deprecated.
  The document id.

### name

    protected String name

  Deprecated.
  The document name.

### version

    protected int version

  Deprecated.
  The document version.

### lockedBy

    protected String lockedBy

  Deprecated.
  The document locked by.

### size

    protected long size

  Deprecated.
  The document size.

### author

    protected String author

  Deprecated.
  The document author.

### creationDate

    protected Timestamp creationDate

  Deprecated.
  The document creation date.

### lastModifiedBy

    protected String lastModifiedBy

  Deprecated.
  The document last modified by.

### lastModifiedDate

    protected Timestamp lastModifiedDate

  Deprecated.
  The document last modified date.

### description

    protected String description

  Deprecated.
  The document description.

### comments

    protected String comments

  Deprecated.
  The document comments.

### mimeType

    protected String mimeType

  Deprecated.
  The document mime type.

### attributes

    protected Map attributes

  Deprecated.
  The map of attribute name to attribute value.

Constructor Detail

### DefaultDocumentMetadata

    public DefaultDocumentMetadata(String id,
                                   String name,
                                   String mimeType)

  Deprecated.
  Constructor.

### DefaultDocumentMetadata

    public DefaultDocumentMetadata(String id,
                                   String name)

  Deprecated.
  Constructor.

### DefaultDocumentMetadata

    public DefaultDocumentMetadata(String id)

  Deprecated.
  Constructor.

### DefaultDocumentMetadata

    public DefaultDocumentMetadata()

  Deprecated.
  Constructor.

Method Detail

### getAttributes

    public Map getAttributes()

  Deprecated.
  Get the map of attribute names to attribute values.

### getAttribute

    public Object getAttribute(String name)

  Deprecated.
  Get the named attribute.

  Specified by:
    `getAttribute` in interface `DocumentMetadataDef`
  Parameters:
    `name` - the name of the attribute.
  Returns:
    the value of the attribute (null if not set).

### getAttributeNames

    public Collection getAttributeNames()

  Deprecated.
  Return the collection of the attribute names.

  Specified by:
    `getAttributeNames` in interface `DocumentMetadataDef`
  Returns:
    the list of String attribute names.

### getID

    public String getID()

  Deprecated.
  Get the document id.

  Specified by:
    `getID` in interface `DocumentMetadataDef`

### setID

    public void setID(String id)

  Deprecated.
  Set the document id.

### getName

    public String getName()

  Deprecated.
  Get the document name.

  Specified by:
    `getName` in interface `DocumentMetadataDef`

### setName

    public void setName(String name)

  Deprecated.
  Set the document name.

### getVersion

    public int getVersion()

  Deprecated.
  Get the document version.

  Specified by:
    `getVersion` in interface `DocumentMetadataDef`

### setVersion

    public void setVersion(int version)

  Deprecated.
  Set the document version.

### getLockedBy

    public String getLockedBy()

  Deprecated.
  Get the document locked by.

  Specified by:
    `getLockedBy` in interface `DocumentMetadataDef`

### setLockedBy

    public void setLockedBy(String lockedBy)

  Deprecated.
  Set the document locked by.

### getSize

    public long getSize()

  Deprecated.
  Get the document size.

  Specified by:
    `getSize` in interface `DocumentMetadataDef`

### setSize

    public void setSize(long size)

  Deprecated.
  Set the document size.

### getAuthor

    public String getAuthor()

  Deprecated.
  Get the document author.

  Specified by:
    `getAuthor` in interface `DocumentMetadataDef`

### setAuthor

    public void setAuthor(String author)

  Deprecated.
  Set the document author.

### getCreationDate

    public Timestamp getCreationDate()

  Deprecated.
  Get the document creation date.

  Specified by:
    `getCreationDate` in interface `DocumentMetadataDef`

### setCreationDate

    public void setCreationDate(Timestamp date)

  Deprecated.
  Set the document creation date.

### getLastModifiedBy

    public String getLastModifiedBy()

  Deprecated.
  Get the document last modified by.

  Specified by:
    `getLastModifiedBy` in interface `DocumentMetadataDef`

### setLastModifiedBy

    public void setLastModifiedBy(String lastModifiedBy)

  Deprecated.
  Set the document last modified by.

### getLastModifiedDate

    public Timestamp getLastModifiedDate()

  Deprecated.
  Get the last modified date.

  Specified by:
    `getLastModifiedDate` in interface `DocumentMetadataDef`

### setLastModifiedDate

    public void setLastModifiedDate(Timestamp date)

  Deprecated.
  Set the last modified date.

### getDescription

    public String getDescription()

  Deprecated.
  Get the document description.

  Specified by:
    `getDescription` in interface `DocumentMetadataDef`

### setDescription

    public void setDescription(String description)

  Deprecated.
  Set the document description.

### getComments

    public String getComments()

  Deprecated.
  Get the document comments.

  Specified by:
    `getComments` in interface `DocumentMetadataDef`

### setComments

    public void setComments(String comments)

  Deprecated.
  Set the document comments.

### getMimeType

    public String getMimeType()

  Deprecated.
  Get the mime type.

  Specified by:
    `getMimeType` in interface `DocumentMetadataDef`

### setMimeType

    public void setMimeType(String mimeType)

  Deprecated.
  Set the mime type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved